%define name    rpm2html
%define version 1.5
%define release 1mdk

Summary:        Translates rpm database into HTML and RDF info
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/WWW
Source:         %{name}-%{version}.tar.bz2
URL:            http://rpmfind.net/linux/rpm2html/
Copyright:      W3C Copyright (BSD like).
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  rpm-devel, popt-devel, libxml2-devel
Requires:       libxml2, rpm, bzip2, db3, db1, zlib

%description
%{name} tries to solve 2 big problems one faces when
grabbing a RPM package from a mirror on the net and trying to
install it:
   - it gives more information than just the filename before
     installing the package.
   - it tries to solve the dependency problem by analyzing all
     the Provides and Requires of the set of RPMs. It shows the
     cross references by way of hypertext links. 
%{name} can now dump the metadata associated with RPM packages into
standard RDF files used by the rpmfind tool for automatic queries.

%prep
rm -rf %buildroot

%setup -q

%build

%configure #--with-sql  needs libmysqlclient

%make

%install
%{__mkdir_p} %buildroot%{_bindir}
%{__mkdir_p} %buildroot%{_sysconfdir}
%{__mkdir_p} %buildroot%{_datadir}/%{name}
%{__mkdir_p} %buildroot%{_mandir}/man1
%{__install} %{name}               %buildroot%{_bindir}
%{__install} msg.{cz,de,es,fr,pl}  %buildroot%{_datadir}/%{name}
%{__install} %{name}.config        %buildroot%{_sysconfdir}
%{__install} %{name}.1             %buildroot%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc %{name}*.config*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/msg.fr
%{_datadir}/%{name}/msg.es
%{_datadir}/%{name}/msg.de
%{_datadir}/%{name}/msg.pl
%{_datadir}/%{name}/msg.cz
%config %{_sysconfdir}/%{name}.config
%doc %{_mandir}/man1/%{name}.1*

%changelog
* Mon Oct 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- used srpm from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	New version
	Built for rpm 4.0
	Added some buildrequires and requires

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- clean spec

* Sat Jul 29 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.4-1mdk
- Changed Group to Networking/WWW
- macrosizication 
- BM

* Thu Oct  7 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
